QGIS Application - Bug report #13146
Postgis count not working
2015-07-23 03:09 AM - baditaflorin -

Status: Closed

Priority: Normal

Assignee:

Category: Map Legend

Affected QGIS version:2.8.2 Regression?: No
Operating System: windows Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 21209
Description

postgis count not working for a filtered database, with 2.8M points.

I only geta 0, and a pg_stat_activity QGls does not even try to count. \\

the desired outcome would be to show something , loading, or not implemented, or error

History

#1 - 2015-07-23 03:10 AM - baditaflorin -
- File postgis_count.PNG added

#2 - 2015-07-30 02:58 PM - Giovanni Manghi

- Status changed from Open to Feedback

- Category set to Map Legend

Where | can get a dataset with that size to allow me do local tests?

thanks

#3 - 2015-08-20 02:28 AM - baditaflorin -

- Status changed from Feedback to Closed

The dataset that i am using it's the osm file for canada.

| think that it was not working because i am using a view to filter and not load everything into QGIS

| will test some more and return with the ticket if needed

a part of the VIEW looks like this

-- select * from nodes_view_addresses limit 5

CREATE OR REPLACE VIEW nodes_addresses_view AS

SELECT

user_id, tstamp, changeset_id, version, nodes.id as node_ids, nodes.geom,users.id as u_ids,users.name as osmname,

FROM nodes,users
WHERE ST_GeometryType(geom) = 'ST_Point' AND users.id=nodes.user_id AND ((tags->'addr:housenumber')) is not null

Files

postgis_count.PNG 82 KB 2015-07-23 baditaflorin -
